/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.myfaces.custom.graphicimageajax;

import javax.faces.context.FacesContext;
import javax.faces.el.MethodBinding;

import org.apache.myfaces.component.html.ext.HtmlGraphicImage;

/**
 * @author Sylvain Vieujot (latest modification by $Author: svieujot $)
 *
 * @version $Revision: 292080 $ $Date: 2005-05-11 19:57:24 +0200 (Wed, 11 May 2005) $
 * 
 * Warning, this component is far from ready.
 * It's more a proof of concept right now.
 * TODO : Remove the need to include .get for the last part of the method expressions : getBytesMethod="#{graphicImageAjaxBean.upImage.getBytes}"
 * TODO : Find a better component name
 * TODO : Make a similar download component to download files 
 */

public class GraphicImageAjax extends HtmlGraphicImage
{
	public static final String COMPONENT_TYPE = "org.apache.myfaces.GraphicImageAjax";
	public static final String COMPONENT_FAMILY = "javax.faces.Graphic";
	private static final String DEFAULT_RENDERER_TYPE = GraphicImageAjaxRenderer.RENDERER_TYPE;
	
	public GraphicImageAjax(){
	      setRendererType(DEFAULT_RENDERER_TYPE);
	  }
	  
	private MethodBinding _getContentTypeMethod;
    private MethodBinding _getBytesMethod;

    public Object saveState(FacesContext context)
    {
        Object[] values = new Object[3];
        values[0] = super.saveState(context);
        values[1] = saveAttachedState(context, _getContentTypeMethod);
        values[2] = saveAttachedState(context, _getBytesMethod);

        return values;
    }

    public void restoreState(FacesContext context, Object state)
    {
        Object values[] = (Object[])state;
        super.restoreState(context, values[0]);
        _getContentTypeMethod = (MethodBinding) restoreAttachedState(context, values[1]);
        _getBytesMethod = (MethodBinding) restoreAttachedState(context, values[2]);
    }

    
    public void setGetContentTypeMethod(MethodBinding getContentTypeMethod)
    {
    	 this._getContentTypeMethod = getContentTypeMethod;
    }

    public MethodBinding getGetContentTypeMethod()
    {
        return _getContentTypeMethod;
    }
    
    public void setGetBytesMethod(MethodBinding getBytesMethod)
    {
    	 this._getBytesMethod = getBytesMethod;
    }

    public MethodBinding getGetBytesMethod()
    {
        return _getBytesMethod;
    }
}
